> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Client Billing History

> Lists only the invoices sent to the selected organization with its totals.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /platform/list-client-billing-history
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /platform/list-client-billing-history:
    get:
      operationId: listClientBillingHistory
      summary: List Client Billing History
      description: >-
        Lists only the invoices sent to the selected organization with its
        totals.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListClientBillingHistoryResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ListClientBillingHistoryResponse:
      type: object
      properties:
        invoices:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              number:
                type: string
              type:
                type: string
                enum:
                  - DEPOSIT
                  - PRE_FUNDING
                  - FINAL
                  - PLATFORM
                  - CREDIT_NOTE
              billingPeriod:
                type:
                  - string
                  - 'null'
              issueDate:
                type:
                  - string
                  - 'null'
              dueDate:
                type:
                  - string
                  - 'null'
              paidDate:
                type:
                  - string
                  - 'null'
              total:
                type: string
              amountDue:
                type: string
              creditedAmount:
                type: string
              currency:
                type: string
              status:
                type: string
                enum:
                  - DUE
                  - OVERDUE
                  - PAID
                  - VOID
                  - CREDITED
                  - CREDIT
              daysOverdue:
                type:
                  - integer
                  - 'null'
              daysUntilDue:
                type:
                  - integer
                  - 'null'
              credits:
                type:
                  - object
                  - 'null'
                properties:
                  id:
                    type: string
                  number:
                    type: string
                required:
                  - id
                  - number
              replacedBy:
                type:
                  - object
                  - 'null'
                properties:
                  id:
                    type: string
                  number:
                    type: string
                required:
                  - id
                  - number
              replaces:
                type:
                  - object
                  - 'null'
                properties:
                  id:
                    type: string
                  number:
                    type: string
                required:
                  - id
                  - number
              beingCorrected:
                type: boolean
            required:
              - id
              - number
              - type
              - billingPeriod
              - issueDate
              - dueDate
              - paidDate
              - total
              - amountDue
              - creditedAmount
              - currency
              - status
              - daysOverdue
              - daysUntilDue
              - credits
              - replacedBy
              - replaces
              - beingCorrected
        totals:
          type: array
          items:
            type: object
            properties:
              currency:
                type: string
              outstanding:
                type: string
              outstandingCount:
                type: integer
              overdue:
                type: string
              overdueCount:
                type: integer
              mostDaysOverdue:
                type: integer
              paidThisYear:
                type: string
              paidThisYearCount:
                type: integer
              lastPaidDate:
                type:
                  - string
                  - 'null'
              nextDue:
                type:
                  - object
                  - 'null'
                properties:
                  id:
                    type: string
                  number:
                    type: string
                  dueDate:
                    type: string
                  amountDue:
                    type: string
                  type:
                    type: string
                    enum:
                      - DEPOSIT
                      - PRE_FUNDING
                      - FINAL
                      - PLATFORM
                      - CREDIT_NOTE
                  billingPeriod:
                    type:
                      - string
                      - 'null'
                required:
                  - id
                  - number
                  - dueDate
                  - amountDue
                  - type
                  - billingPeriod
            required:
              - currency
              - outstanding
              - outstandingCount
              - overdue
              - overdueCount
              - mostDaysOverdue
              - paidThisYear
              - paidThisYearCount
              - lastPaidDate
              - nextDue
        today:
          type: string
        truncated:
          type: boolean
      required:
        - invoices
        - totals
        - today
        - truncated
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
